Agents

Update CertiWise observability export settings

PUT
/organizations/{organizationId}/certiwise/observability-export

Path Parameters

organizationId*string
Formatuuid

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/certiwise/observability-export" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "eventFilter": [      "tls.handshake"    ],    "sampleRate": 1  }'
{  "otlpEnabled": true,  "otlpEndpoint": "string",  "otlpHeaders": {    "property1": "string",    "property2": "string"  },  "webhookEnabled": true,  "webhookUrl": "string",  "webhookSecretSet": true,  "eventFilter": [    "tls.handshake"  ],  "sampleRate": 0,  "featureLicensed": true,  "updatedAt": "string"}
{  "message": "string"}
{  "message": "string"}